clear

% problem parameters
m = 100;
n = 50;
sigma = 0.1;
rng(0);

% set up A, x, and b
A = randn(m,n);
xtrue = rand(n,1);
b = A*xtrue + sigma*randn(m,1);

% parameters for lsgd
mu = 1/norm(A)^2;
x0 = zeros(n,1);
numIter = 300;

% compare results
xgd = lsgd(A,b,mu,x0,numIter);
xh = A\b;

norm(xgd - xh)
norm(xgd - xtrue)
