import numpy as np
import matplotlib.pyplot as plt
from lsgd import lsgd

# problem parameters
m = 100
n = 50
sigma = 0.1
np.random.seed(0)

# set up A, x, and b
A = np.random.randn(m, n)
xtrue = np.random.rand(n,1)
b = A @ xtrue + sigma*np.random.randn(m,1)
xhat = np.linalg.lstsq(A, b)[0]
nA = np.linalg.norm(A, ord=2)   # store ||A|| to save computation time below

# parameters for lsgd
x0 = np.zeros((n,1))
numIter = 200

## YOUR CODE
# plot ||xhat - xgd|| vs k for various values of mu
#cRange = ??     # TODO(you): Set range of c values
#data = np.zeros((numIter, len(cRange)))

## You may want to use the below if you format your data like I did
#plt.figure()
#plt.rc('text', usetex=True)
#plt.rc('font', family='serif')
#plt.plot(np.arange(numIter), data[:, 0], label='$\mu = 0.1 / ||A||^{2}$')
#plt.plot(np.arange(numIter), data[:, 1], label='$\mu = 1 / ||A||^{2}$')
#plt.plot(np.arange(numIter), data[:, 2], label='$\mu = 1.9 / ||A||^{2}$')
#plt.plot(np.arange(numIter), data[:, 3], label='$\mu = 2 / ||A||^{2}$')
#plt.legend()
#plt.show()
